<?php

namespace Lc\SovBundle\Model\Setting;

use Doctrine\ORM\Mapping as ORM;
use Lc\SovBundle\Doctrine\EntityInterface;
use Lc\SovBundle\Model\Site\SiteInterface;

abstract class SiteSettingModel extends SettingModel implements SiteSettingInterface, EntityInterface
{
    /**
     * @ORM\ManyToOne(targetEntity="Lc\SovBundle\Model\Site\SiteInterface", inversedBy="settings")
     * @ORM\JoinColumn(nullable=false)
     */
    protected $site;

    public function getSite(): ?SiteInterface
    {
        return $this->site;
    }

    public function setSite(?SiteInterface $site): self
    {
        $this->site = $site;

        return $this;
    }
}